import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Set001Service } from "app/views/set/set001/set001.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Set001Resolver implements Resolve<any> {
  constructor(private set001Service: Set001Service) {}

  resolve(): Observable<any> {

    return this.set001Service.selectedItem;
  }
}
